#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 what4
version:              1.0
visibility:           public
id:                   what4-1.0-6dkW26fFVpt3PAfdthQME0
key:                  what4-1.0-6dkW26fFVpt3PAfdthQME0
license:              BSD-3-Clause
copyright:            (c) Galois, Inc 2014-2020
maintainer:           jhendrix@galois.com, rdockins@galois.com
author:               Galois Inc.
homepage:             https://github.com/GaloisInc/what4
synopsis:             Solver-agnostic symbolic values support for issuing queries
description:
    What4 is a generic library for representing values as symbolic formulae which may
    contain references to symbolic values, representing unknown variables.
    It provides support for communicating with a variety of SAT and SMT solvers,
    including Z3, CVC4, Yices, Boolector, STP, and dReal.
    The data representation types make heavy use of GADT-style type indices
    to ensure type-correct manipulation of symbolic values.

category:             Formal Methods, Theorem Provers, Symbolic Computation, SMT
abi:                  2c6833733df9ab5d2b9bf09b65fbad63
exposed:              True
exposed-modules:
    Test.Verification What4.BaseTypes What4.Concrete What4.Config
    What4.Expr What4.Expr.AppTheory What4.Expr.ArrayUpdateMap
    What4.Expr.BoolMap What4.Expr.Builder What4.Expr.GroundEval
    What4.Expr.MATLAB What4.Expr.Simplify What4.Expr.StringSeq
    What4.Expr.UnaryBV What4.Expr.VarIdentification
    What4.Expr.WeightedSum What4.FunctionName What4.IndexLit
    What4.Interface What4.InterpretedFloatingPoint What4.LabeledPred
    What4.Panic What4.Partial What4.ProblemFeatures What4.ProgramLoc
    What4.Protocol.Online What4.Protocol.PolyRoot
    What4.Protocol.ReadDecimal What4.Protocol.SExp
    What4.Protocol.SMTLib2 What4.Protocol.SMTLib2.Parse
    What4.Protocol.SMTLib2.Syntax What4.Protocol.SMTWriter What4.SWord
    What4.SatResult What4.SemiRing What4.Solver What4.Solver.Adapter
    What4.Solver.Boolector What4.Solver.CVC4 What4.Solver.DReal
    What4.Solver.STP What4.Solver.Yices What4.Solver.Z3 What4.Symbol
    What4.Utils.AbstractDomains What4.Utils.AnnotatedMap
    What4.Utils.Arithmetic What4.Utils.BVDomain
    What4.Utils.BVDomain.Arith What4.Utils.BVDomain.Bitwise
    What4.Utils.BVDomain.XOR What4.Utils.Complex What4.Utils.Endian
    What4.Utils.Environment What4.Utils.HandleReader
    What4.Utils.IncrHash What4.Utils.LeqMap What4.Utils.MonadST
    What4.Utils.OnlyNatRepr What4.Utils.Process What4.Utils.Streams
    What4.Utils.StringLiteral What4.Utils.Word16String What4.WordMap

hidden-modules:       What4.Expr.App
import-dirs:          /usr/lib/ghc-8.10.1/site-local/what4-1.0
library-dirs:         /usr/lib/ghc-8.10.1/site-local/what4-1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.1/what4-1.0
hs-libraries:         HSwhat4-1.0-6dkW26fFVpt3PAfdthQME0
depends:
    ansi-wl-pprint-0.6.9-Fe5XpjSioJbLALCpTbwx36
    attoparsec-0.13.2.4-2oqVeKJO3qZBCtXLlERv3x base-4.14.0.0
    bifunctors-5.5.7-FQoiSXrHQPC1mfOJFpibBt
    bimap-0.4.0-mkvIdypXeiGg1MjBGVD0e
    bv-sized-1.0.1-EFv87watJVfIf7QVWjQPgJ bytestring-0.10.10.0
    containers-0.6.2.1 data-binary-ieee754-0.4.4-K62zgbvjZdWGqG22TUshLD
    deepseq-1.4.4.0 deriving-compat-0.5.9-J4Oiz2Ifl9lHgCbqNuMvwO
    directory-1.3.6.0 exceptions-0.10.4
    extra-1.7.5-69pFNvIQi1iLl09c5xrsXp filepath-1.4.2.1
    fingertree-0.1.4.2-7Urvb2JVvYz1C44yFK4faV ghc-prim-0.6.1
    hashable-1.3.0.0-DiGbvYLsPmxJgdfVCor8qD
    hashtables-1.2.3.4-5Zra6gHviw359IQ0pi75ll
    io-streams-1.5.1.0-HZPATPPxOSr8xjtbtrhEGQ
    lens-4.19.2-EzzKwVwAsX98HR1Kg95HDe mtl-2.2.2
    panic-0.4.0.1-A8wsV1mQdweDfbMYpGomx
    parameterized-utils-2.1.0-IXypoe9CIq0Cxla0krs2IP process-1.6.8.2
    scientific-0.3.6.2-3YISAuwzVJzEZQkyGUxPkT template-haskell-2.16.0.0
    temporary-1.3-ITN7nifknMp5lfVFSCOMsm text-1.2.3.2
    th-abstraction-0.3.2.0-4yEKsz3hkum2d9EYr8unnF transformers-0.5.6.2
    unordered-containers-0.2.12.0-7yiTvjz2UcTGgWhTtgXiX9
    utf8-string-1.0.1.1-L5P9SR8YxIu1NqwMrJwV7a
    vector-0.12.1.2-8A0MDgLPPVcWTXsA8tpNg
    versions-3.5.4-HF95GpKG7A07DvevqmPw5u
    zenc-0.1.1-3Cz42q5r86V2oavV66ERYe

haddock-interfaces:   /usr/share/doc/haskell-what4/html/what4.haddock
haddock-html:         /usr/share/doc/haskell-what4/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

